# Suble Greetz

**Version:** 1.2.0  
**Author:** SubleXBle  
**Plugin URI:** [https://suble.org/](https://suble.org/)  
**License:** GPL2  

---

## Beschreibung

**Suble Greetz** ist ein einfaches WordPress-Plugin, das es ermöglicht, benutzerdefinierte Begrüßungen basierend auf der Tageszeit anzuzeigen und die Möglichkeit bietet, Anzeigenamen oder Benutzerrollen sowie die Anzahl der bisherigen Anmeldungen über Shortcodes darzustellen. Es enthält eine benutzerfreundliche Admin-Seite zur einfachen Konfiguration.

![Plugin-Bild](assets/screenshot-1.png)

### Features:
- **Tageszeitabhängige Begrüßungen:** Zeigt automatisch passende Begrüßungen basierend auf der aktuellen Tageszeit an: Nutze den Shortcode `[greetz]`, um Begrüßungen anzuzeigen.
- **Benutzerdefinierte Spitznamen (Shortnames):** Nutze den Shortcode `[shortnamez]`, um den Spitznamen oder die Benutzerrolle eines Benutzers anzuzeigen.
- **Benutzerfreundliche Admin-Seite:** Einfaches Setup und Verwaltung der Begrüßungseinstellungen und Shortname-Optionen direkt im WordPress-Dashboard.
- **Profile-Link:** Optional kannst du einen Link zum Benutzerprofil hinzufügen.
- **Login-Anzahl:** Über den Shortcode <code>[timez]</code> kann die Anzahl der bisherigen Logins angezeigt werden

---

## Installation

1. Lade das Plugin herunter und entpacke es.
2. Lade den Ordner `suble-greetz` in das Verzeichnis `/wp-content/plugins/` auf deinem Server.
3. Gehe in das WordPress-Admin-Dashboard und aktiviere das Plugin unter **Plugins**.
4. Nach der Aktivierung findest du das Plugin im Admin-Menü unter **Suble Greetz**.
5. Konfiguriere die Begrüßungseinstellungen und Shortname-Optionen auf der Admin-Seite.

---

## Verwendung

- **Tageszeitabhängige Begrüßungen:**  
  Füge den Shortcode `[greetz]` an einer beliebigen Stelle in deinem WordPress-Content ein, um eine Begrüßung basierend auf der aktuellen Tageszeit anzuzeigen. Du kannst bis zu 5 Zeitspannen mit unterschiedlichen Begrüßungen festlegen.

- **Shortname (Spitzname) anzeigen:**  
  Verwende den Shortcode `[shortnamez]`, um den Spitznamen des aktuellen Benutzers oder seine Benutzerrolle anzuzeigen. Wenn der Benutzer nicht eingeloggt ist, wird der konfigurierte Gästenamen angezeigt.

---

## Admin-Konfiguration

### 1. **Begrüßungseinstellungen:**
- **Zeitspanne:** Definiere die Zeitspanne für die Begrüßung (z.B. "08:00-12:00").
- **Begrüßung:** Lege die Begrüßung fest, die zu dieser Zeitspanne angezeigt wird (z.B. "Guten Morgen!").

### 2. **Shortname-Einstellungen:**
- **Gästenamen:** Wähle einen Namen für nicht angemeldete Benutzer.
- **Anzeigeoption:** Bestimme, ob der Spitzname oder die Benutzerrolle angezeigt werden soll.
- **Profil-Link:** Aktiviere diese Option, um den Spitznamen mit einem Link zum Benutzerprofil zu versehen.

---

## Screenshot

![Screenshot des Admin-Menü](assets/screenshot-3.png)

![Screenshot des Admin-Bereichs](assets/screenshot-9.png)

![Screenshot der Shortcodes](assets/screenshot-5.png)

---

## Deinstallation

Es ist eine Uninstall-Routine vorhanden, das Plugin sollte also über die Wordpress Oberfläche deinstalliert werden

---

## Entwickler

SubleXBle (Autor)  
[https://suble.org/](https://suble.org/)

---

## Lizenz

Dieses Plugin wird unter der [GPL-2.0](https://www.gnu.org/licenses/old-licenses/gpl-2.0.de.html) Lizenz veröffentlicht.
