<?php
// Sicherstellen, dass direktes Laden nicht möglich ist
if (!defined('ABSPATH')) {
    exit;
}

// Login-Zähler aktualisieren
function suble_update_login_count($user_login, $user) {
    $user_id = $user->ID;
    $login_count = get_user_meta($user_id, 'login_count', true);

    if (!$login_count) {
        $login_count = 0;
    }

    $login_count++;
    update_user_meta($user_id, 'login_count', $login_count);
}
add_action('wp_login', 'suble_update_login_count', 10, 2);

// Initialisierung des Login-Zählers bei Registrierung
function suble_initialize_login_count($user_id) {
    update_user_meta($user_id, 'login_count', 1); // Setzt den Zähler auf 1
}
add_action('user_register', 'suble_initialize_login_count');

// Shortcode für die Anzeige des Login-Zählers
function suble_timez_shortcode() {
    if (is_user_logged_in()) {
        $user = wp_get_current_user();
        $login_count = get_user_meta($user->ID, 'login_count', true);
        return esc_html($login_count);
    }
    return '';
}
add_shortcode('timez', 'suble_timez_shortcode');
